LinuxMint 11

Le
Jean-Jacques Gerbaud
Bonjour à tous,

J'ai une LinuxMint 11 toute fraîche, toute propre (enfin non) car, chaque
fois que j'essaie d'installer des paquets, j'obtiens le message suivant :

Impossible d'effectuer la configuration immédiate de « perl ». Veuillez
consulter la page de manuel apt.conf(5) et notamment la section à propos de
APT::Immediate-Configure, pour plus d'informations. (2)

Selon ce que j'ai pu trouver sur le Net, il faut modifier le fichier
/etc/apt/apt.conf
de la manière suivante :

// Some general options
Ignore-Hold "false";
Clean-Installed "true";
Immediate-Configure "true"; // DO NOT turn this off, see the man page
Force-LoopBreak "false"; // DO NOT turn this on, see the man page
Cache-Start "20971520";
Cache-Grow "1048576";
Cache-Limit "0";
Default-Release "";

// consider Recommends, Suggests as important dependencies that should
// be installed by default
Install-Recommends "true";
Install-Suggests "false";

Au départ, ce fichier était vide mais j'y ai rajouté les lignes ci-dessus
mais malgré ça, je ne peux rien installer.

Une petite aide de votre part serait très appréciée.

Merci d'avance

--
Jean-Jacques Gerbaud
entre Dauphiné et PACA
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
yamo'
Le #23694421
Salut,

Jean-Jacques Gerbaud a tapoté, le 28/08/2011 17:30:


Pour ceux qui ont le même problème :
comme souvent, la solution était finalement assez simple :

j'ai modifié les sources.lists de "testing" en "stable" ! et ce message qui
m'a fait passer toute la journée devant mon écran n'apparaît plus.

Mais je n'ai quand même pas compris ce "APT::Immediate-Configure"





Vérifie aussi que tu as bien :

deb http://security.debian.org/ stable/updates main contrib non-free
deb-src http://security.debian.org/ stable/updates main contrib non-free


--
Stéphane


Et chacun croit fort aisément
Ce qu'il craint et ce qu'il désire.
-+- Jean de La Fontaine (1621-1695),
Le Loup et le Renard (Fables XI.6) -+-
jp willm
Le #23694691
Hello,

Le 28/08/2011 17:30, Jean-Jacques Gerbaud a écrit :

Pour ceux qui ont le même problème :



J'ai deux mint LMDE et je n'ai pas ce problème :o)

comme souvent, la solution était finalement assez simple :

j'ai modifié les sources.lists de "testing" en "stable" ! et ce message
qui m'a fait passer toute la journée devant mon écran n'apparaît plus.



Et elles pointent ver quel serveur ces lingnes ?
Chez moi c'est du :

deb http://packages.linuxmint-fr.net/ debian main upstream import
# deb http://ftp.debian.org/debian testing main contrib non-free
deb http://security.debian.org/ testing/updates main contrib non-free
deb http://www.debian-multimedia.org testing main non-free

deb http://ftp.fr.debian.org/debian/ testing main contrib non-free

# deb-src http://ftp.fr.debian.org/debian/ testing main contrib non-free

# deb-src http://security.debian.org/ testing/updates main contrib non-free

# deb-src http://www.debian-multimedia.org/ testing main non-free



Mais je n'ai quand même pas compris ce "APT::Immediate-Configure"



Connais pas !

@+

--
http://perso.orange.fr/willms/index.html
Jean-Jacques Gerbaud
Le #23694331
Le 28/08/2011 16:27, Jean-Jacques Gerbaud a écrit :

Bonjour à tous,

J'ai une LinuxMint 11 toute fraîche, toute propre (enfin non) car, chaque
fois que j'essaie d'installer des paquets, j'obtiens le message suivant :

Impossible d'effectuer la configuration immédiate de « perl ». Veuillez
consulter la page de manuel apt.conf(5) et notamment la section à propos de
APT::Immediate-Configure, pour plus d'informations. (2)

Selon ce que j'ai pu trouver sur le Net, il faut modifier le fichier
/etc/apt/apt.conf
de la manière suivante :

// Some general options
Ignore-Hold "false";
Clean-Installed "true";
Immediate-Configure "true"; // DO NOT turn this off, see the man page
Force-LoopBreak "false"; // DO NOT turn this on, see the man page
Cache-Start "20971520";
Cache-Grow "1048576";
Cache-Limit "0";
Default-Release "";

// consider Recommends, Suggests as important dependencies that should
// be installed by default
Install-Recommends "true";
Install-Suggests "false";

Au départ, ce fichier était vide mais j'y ai rajouté les lignes ci-dessus
mais malgré ça, je ne peux rien installer.

Une petite aide de votre part serait très appréciée.




Pour ceux qui ont le même problème :
comme souvent, la solution était finalement assez simple :

j'ai modifié les sources.lists de "testing" en "stable" ! et ce message qui
m'a fait passer toute la journée devant mon écran n'apparaît plus.

Mais je n'ai quand même pas compris ce "APT::Immediate-Configure"


--
Jean-Jacques Gerbaud
entre Dauphiné et PACA
Jo Kerr
Le #23695021
Jean-Jacques Gerbaud a utilisé son clavier pour écrire :
...
Merci



Une chose est sûre: ta pendule avance.

--
In gold we trust (c)
Jean-Jacques Gerbaud
Le #23694871
Le 28/08/2011 16:48, jp willm a écrit :

Hello,

Le 28/08/2011 17:30, Jean-Jacques Gerbaud a écrit :

Pour ceux qui ont le même problème :



J'ai deux mint LMDE et je n'ai pas ce problème :o)

comme souvent, la solution était finalement assez simple :

j'ai modifié les sources.lists de "testing" en "stable" ! et ce message
qui m'a fait passer toute la journée devant mon écran n'apparaît plus.



Et elles pointent ver quel serveur ces lignes ?
Chez moi c'est du :

deb http://packages.linuxmint-fr.net/ debian main upstream import
# deb http://ftp.debian.org/debian testing main contrib non-free
deb http://security.debian.org/ testing/updates main contrib non-free
deb http://www.debian-multimedia.org testing main non-free

deb http://ftp.fr.debian.org/debian/ testing main contrib non-free

# deb-src http://ftp.fr.debian.org/debian/ testing main contrib non-free

# deb-src http://security.debian.org/ testing/updates main contrib non-free

# deb-src http://www.debian-multimedia.org/ testing main non-free




Bonjour JP (je me doutais bien que tu allais répondre :-)

Je n'ai absolument rien fait de spécial et la liste est celle d'origine (en
fait de ce matin car le message d'erreur est apparu très vite, pratiquement
dès l'essai de complément de ma toute fraîche distribution.

En fait, dès le début de l'installation, j'avais remarqué que les paquets de
cette LMDE provenaient de Debian testing. J'ai pensé que ça allait marcher
quand même mais non...

Je te mets ci après ma liste :

deb http://packages.linuxmint.com/ debian main upstream import
deb http://ftp.debian.org/debian stable main contrib non-free
deb http://security.debian.org/ stable/updates main contrib non-free
deb http://www.debian-multimedia.org stable main non-free

deb-src http://security.debian.org/ stable/updates main contrib non-free
(cette dernière vient de m'être suggérée par notre ami Yamo)

On remarque que les serveurs ne sont pas les mêmes... Quels dois-je garder.
Les tiens ou ceux que j'ai maintenant dans ma liste ?



Mais je n'ai quand même pas compris ce "APT::Immediate-Configure"



Connais pas !



Et bien moi, j'ai appris à le connaître. en fait, si j'ai bien compris les
explications (vagues et souvent contradictoires) trouvées sur le net :

Le fichier /etc/apt/apt.conf est censé être consulté par APT au moment du
chargement des paquets.

J'ai donc confectionné ce fichier (qui est normalement vide) en y mettant ce
que j'ai trouvé en fouillant sur Internet : le voici

// Some general options
Ignore-Hold "false";
Clean-Installed "true";
Immediate-Configure "true"; // DO NOT turn this off, see the man page
Force-LoopBreak "false"; // DO NOT turn this on, see the man page
Cache-Start "20971520";
Cache-Grow "1048576";
Cache-Limit "0";
Default-Release "";

Ce fichier, tel qu'il est là, est absolument inefficace et ne sert à rien
car mon problème de "Immediate-Configure" continuait d'apparaître lors
d'installation de paquets. J'ai alors pris la décision d'enlever le
"testing" pour "stable" dans mon /etc/apt/sources.list, un petit sudo
apt-update et mon problème a disparu.

Pour compléter mon installation, je voulais installer Amarok et k3b qui sont
2 applications fonctionnant sous KDE. Or j'utilise Gnome.

Synaptic me demande d'installer un fagot de paquets dont je n'ai rien à faire.

En continuant de fouiller sur le Net, je me suis rendu compte qu'il fallait
rajouter quelques lignes au fichier /etc/apt/apt.conf pour n'installer que
les paquets nécessaires :

// consider Recommends, Suggests as important dependencies that should
// be installed by default
APT::Install-Recommends "false";
APT::Install-Suggests "false";

Aptitude::Recommends-Important "false";
Aptitude::Suggests-Important "false";

Ces lignes là sont assez claires et demandent à APT ou Aptitude de
n'installer que ce qu'il faut.

Et bien, encore une fois, ça ne marche pas... Lorsque j'invite synaptic à
m'installer Amarok et K3b, une foule de paquets me sont proposés et je je ne
le veux pas.

En conclusion, ce fichier /etc/apt/apt.conf ne sert à rien... (Ou alors il y
a quelque chose dans ma toute nouvelle config qui ne va pas).

Les suggestions sont les bienvenues.

Ah puisque j'y suis, comment rajouter une barre des tâches en haut du bureau
sur LMDE ?

Merci

--
Jean-Jacques Gerbaud
entre Dauphiné et PACA
jp willm
Le #23695881
Le 28/08/2011 19:56, Jean-Jacques Gerbaud a écrit :

Et bien, encore une fois, ça ne marche pas... Lorsque j'invite synaptic
à m'installer Amarok et K3b, une foule de paquets me sont proposés et je
je ne le veux pas.



C'est bien connu, quand tu installes des paquets kde sur une
distribution gnome, c'est la moitié de kde qui s'installe :o)

Mais bon, si amarok et k3b te sont indispensables...

@+


--
http://perso.orange.fr/willms/index.html
Publicité
Poster une réponse
Anonyme